import { I18N } from 'aurelia-i18n';
import { DialogController } from 'aurelia-dialog';
export declare class PasswordResetModal {
    private dialogController;
    private i18n;
    private title;
    password: string;
    passwordConfirm: string;
    constructor(dialogController: DialogController, i18n: I18N);
    activate(params: any): void;
    private get canReset();
    private doReset;
    private confirmAttached;
}
